export interface useAuth {
  authenticate(authCode: string): Promise<void>
  isAuthenticated(): Promise<boolean>
}


export default () => {
  return {
    isAuthenticated: async (): Promise<boolean> => {
      return $fetch('/api/userinfo')
        .then(() => true)
        .catch(() => false)
    },

    authenticate: async (authCode: string): Promise<void> => {
      if (authCode.length != 6) {
        throw Error('login failed')
      }
      const resp = await $fetch(`/api/login?code=${authCode}`)
      if (resp !== 'ok') {
        throw Error('login failed')
      }
    },
  }
}
